[project]
name = "train-watcher-bff"
version = "0.1.0"
requires-python = ">=3.14"
dependencies = [
  "alembic>=1.16.0",
  "boto3>=1.38.23",
  "fastapi[standard]>=0.115.12",
  "email-validator>=2.2.0",
  "httpx>=0.28.1",
  "psycopg[binary]>=3.2.9",
  "pydantic-settings>=2.9.1",
  "pyjwt>=2.10.1",
  "pwdlib[argon2]>=0.2.1",
  "python-multipart>=0.0.20",
  "sqlalchemy>=2.0.41",
]

[tool.uv]
package = false
